<?php

namespace HPROWP\Core;

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

class Callback {
    
    protected $callback = null;
    protected $params = array();
    
    public function __construct($callback, $params = array()) {
        $this->callback = $callback;
        $this->params = $params;
    }
    
    public function run() {
        
        $callback = $this->callback;
        
        if ($callback) {
            $args = func_get_args();
            array_splice($args, 0, 0, is_array($this->params) ? $this->params : array($this->params));
            return call_user_func_array($callback, $args);
        }
        
        return null;
    }
    
    public function addAction($action, $priority = 10, $accepted_args = 1) {
        return add_action($action, array($this, 'run'), $priority, $accepted_args);
    }
}