<?php

namespace HPROWP\Core;

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

class TextDomainInitializer 
implements InitializerInterface {
    
    public function initialize($instance) {
        if ($instance instanceof TextDomainInitializerInterface) {
            
            $callbackInitializer = new Callback(function (TextDomainInitializerInterface $instance, TextDomainInitializer $initializer) {
                $domains = $instance->getTextDomain();
                foreach ($domains as $domainKey => $mofile) {
                    load_textdomain( $domainKey, $mofile );
                }
            }, array($instance, $this));
            
            $callbackInitializer->addAction('after_setup_theme', 11, 1);
        }
    }
    
}