<?php

namespace HPROWP\Core;

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

class ThemeTextDomainInitializer 
implements InitializerInterface {
    
    public function initialize($instance) {
        if ($instance instanceof ThemeTextDomainInitializerInterface) {
            
            $callbackInitializer = new Callback(function (ThemeTextDomainInitializerInterface $instance, ThemeTextDomainInitializer $initializer) {
                $domains = $instance->getThemeTextDomain();
                foreach ($domains as $domainKey => $domainDir) {
                    load_theme_textdomain( $domainKey, $domainDir );
                }
            }, array($instance, $this));
            
            $callbackInitializer->addAction('after_setup_theme', 11, 1);
        }
    }
    
}