<?php

namespace HPROWP\Core;

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

class WidgetInitializer 
implements InitializerInterface {
    
    public function initialize($instance) {
        if ($instance instanceof WidgetInitializerInterface) {
            $callbackInitializer = new Callback(function (WidgetInitializerInterface $instance) {
                $list = $instance->getWidgets();
                if (is_array($list)
                    && count($list) > 0
                ) {
                    foreach ($list as $item) {
                        register_widget($item);
                    }
                }
            }, $instance);
            
            $callbackInitializer->addAction('widgets_init');
        }
    }
    
}

