<?php

/**
 * Plugin Name: nGage WebPush Plugin
 * Plugin URI: http://www.horisen.pro/wordpress/plugin/wp
 * Description: Subscribtion widget take care of your subscribtion process, collect subscribers for later use in nGage app (SMS Messaging Platform)
 * Version: 1.0.0
 * Author: HORISEN
 * Author URI: http://www.horisen.pro/wordpress/plugin/wp
 * License: A "Slug" license name e.g. GPL2
 * Text Domain: hpro-webpush
 * Domain Path: /languages
 */

/*  Copyright 2014  Dzonz  (email : nikola.ivanovic@gmail.com)

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License, version 2, as
  published by the Free Software Foundation.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

error_reporting(E_ALL);

define('HPROWP_PLUGIN_FILE', __FILE__);
define('HPROWP_PLUGIN_DIR', __DIR__);
define('HPROWP_PLUGIN_URI', plugin_dir_url(__FILE__));

include __DIR__ . '/src/Core/Autoload.php';

$pnpLibLoader = new \HPROWP\Core\Autoload(
    'HPROWP\\', 
    __DIR__ . DIRECTORY_SEPARATOR . 'src',
    array(),
    array()
);

\HPROWP\Core\Initializer::register("\\HPROWP\\Core\\PluginInitializer");
\HPROWP\Core\Initializer::register("\\HPROWP\\Core\\ThemeInitializer");
\HPROWP\Core\Initializer::register("\\HPROWP\\Core\\PagesInitializer");
\HPROWP\Core\Initializer::register("\\HPROWP\\Core\\ThemeTextDomainInitializer");
\HPROWP\Core\Initializer::register("\\HPROWP\\Core\\PluginTextDomainInitializer");
\HPROWP\Core\Initializer::register("\\HPROWP\\Core\\TextDomainInitializer");

\HPROWP\Core\Components::service('HPROWP', "\\HPROWP\\Plugin");

$hproWpService = \HPROWP\Core\Components::invoke('HPROWP');