<?php

namespace HPROWP\Core;

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

abstract class ComponentAbstract
implements 
    ComponentInterface, 
    ThemeInitializerInterface
{
    
    protected $_options = null;
    protected $config = array();
    protected $bootstraped = false;
    
    public function __construct() {
        
    }
    
    public function configure($config = array()) {
        $this->config = $config;
    }
    
/* ControllerInterface */
    
    public function rewriteRules($rules) {
        return $rules;
    }

    public function navigationCssClass($classes, $item, $args, $depth) {
        return $classes;
    }

    public function templateSingle($single_template) {
        return $single_template;
    }

/* THEME INTERFACE */
    
    public function themeAdminScripts() {

    }

    public function themeAdminStyles() {

    }

    public function themeBootstrap() {

    }

    public function themeDeselect() {

    }

    public function themeInit() {

    }

    public function themeInitAdmin() {

    }

    public function themeAdminMenu() {

    }

    public function themePublicScripts() {

    }

    public function themePublicStyles() {

    }

    public function themeSelect() {

    }

    public function themeSetup() {

    }

}