<?php

namespace HPROWP\Core;

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

interface ThemeInitializerInterface {
/* INITIALIZATION ACTIONS */
    public function themeSelect();
    public function themeDeselect();
    public function themeSetup();
    public function themeBootstrap();
    public function themeInit();
    public function themeInitAdmin();
    public function themeAdminMenu();

/* SCRIPTING ACTIONS */
    public function themeAdminScripts();
    public function themeAdminStyles();
    public function themePublicScripts();
    public function themePublicStyles();
    
    public function rewriteRules($rules);
    
    public function navigationCssClass($classes, $item, $args, $depth);
}